<?php namespace App\Entities\CEP;

use App\Models\CEPModel;
use App\Utils\Entity;

class CEP extends Entity
{
    protected $id;
    protected $cep;
    protected $cidade;
    protected $bairro;
    protected $estado;
    protected $logradouro;

    public static function builder () : CEPBuilder {
        return new CEPBuilder();
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }


    public function getCep() : string
    {
        return $this->cep;
    }

    public function getCidade() : string
    {
        return $this->cidade;
    }

    public function getBairro() : string
    {
        return $this->bairro;
    }

    public function getEstado() : string
    {
        return $this->estado;
    }

    public function getLogradouro() : string
    {
        return $this->logradouro;
    }

    public function setCep(string $cep): void
    {
        $this->cep = $cep;
    }

    public function setCidade(string $cidade): void
    {
        $this->cidade = $cidade;
    }

    public function setBairro(string $bairro): void
    {
        $this->bairro = $bairro;
    }


    public function setEstado(string $estado): void
    {
        $this->estado = $estado;
    }

    public function setLogradouro(string $logradouro): void
    {
        $this->logradouro = $logradouro;
    }
}